<?php


namespace ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Repository;


use ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Interfaces\AbstractApiClient;
use ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Interfaces\AbstractRepository;
use ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Models\Server as ServerModel;

class Server extends AbstractRepository
{
    public function all()
    {
        $result = $this->getClient()->server->getAllServers();

        return $result;
    }
}